Mac instal issue

Hello, whenever I try to install Lumberyard 1.25 on my Mac I get this error when opening the setup installer.
Last login: Thu Sep 17 13:12:30 on ttys000

The default interactive shell is now zsh.

To update your account to use zsh, please run chsh -s /bin/zsh.

For more details, please visit https://support.apple.com/kb/HT208050.

/Users/drboissonneault/Downloads/lumberyard-1.25-1078562-mac-30/dev/Tools/LmbrSetup/Mac/SetupAssistant ; exit;

drboissaultsMBP:~ drboissonneault$ /Users/drboissonneault/Downloads/lumberyard-1.25-1078562-mac-30/dev/Tools/LmbrSetup/Mac/SetupAssistant ; exit;

dyld: Library not loaded: @rpath/QtConcurrent.framework/Versions/5/QtConcurrent

Referenced from: /Users/drboissonneault/Downloads/lumberyard-1.25-1078562-mac-30/dev/Tools/LmbrSetup/Mac/SetupAssistant

Reason: image not found

Abort trap: 6

logout

Saving session…

…copying shared history…

…saving history…truncating history files…

…completed.

[Process completed]

Hi @Denis_Boissonneault

It is possible to build and run the engine on Mac but the Asset Processor, Lumberyard Editor, and Remote Shader Compiler require Windows 7 or later to edit levels and build game assets.

Do you already have the Editor working on PC and are looking to get your game running on Mac?

Thanks,

Tom